Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1489339 - glibc: don't rely on downstream modification of hasht.h
Summary: glibc: don't rely on downstream modification of hasht.h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1113172
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 09:01 UTC by Daiki Ueno
Modified: 2017-12-19 19:49 UTC (History)
13 users (show)

Fixed In Version: glibc-2.26.90-17.fc28 glibc-2.26-18.fc27 glibc-2.26-20.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 19:49:51 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
patch to add -I for nspr (deleted)
2017-09-07 09:01 UTC, Daiki Ueno
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 953277 0 unspecified CLOSED rawhide build of glibc fails due to fatal error from nss3/hasht.h 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1113172 0 unspecified CLOSED hasht.h really should include prtypes.h 2021-02-22 00:41:40 UTC
Sourceware 17956 0 None None None 2017-10-04 13:26:39 UTC

Internal Links: 953277 1113172

Description Daiki Ueno 2017-09-07 09:01:55 UTC
Created attachment 1322986 [details]
patch to add -I for nspr

See bug 1113172 and bug 953277.

Currently, building libcrypt-nss relies on our downstream modification of hasht.h in nss-util package.  We are going to revert it, because the change had caused confusion in other packages using hasht.h.

Once the change is reverted, glibc build will fail due to missing -I pointing to nspr's includedir.  Please consider adjusting glibc build something like the attached patch (not tested).

Comment 1 Daiki Ueno 2017-10-03 08:00:26 UTC
I have built the nss-util package in rawhide, with this change (nss-util-3.33.0-2.fc28).  I don't plan to port it to other branches so far, but please be aware of the possible FTBFS in rawhide.

Comment 2 Florian Weimer 2017-10-03 10:03:40 UTC
(In reply to Daiki Ueno from comment #1)
> I have built the nss-util package in rawhide, with this change
> (nss-util-3.33.0-2.fc28).  I don't plan to port it to other branches so far,
> but please be aware of the possible FTBFS in rawhide.

Thanks.  This NSS modification confused me a lot.

Are nss-confiig and nspr-config scripts provided by upstream?  Would it be an improvement to use “nss-config --cflags” instead, which should provide all the necessary include directories for the NSS headers and their dependencies?

Comment 3 Daiki Ueno 2017-10-03 11:08:50 UTC
Yes, it is provided by the upstream:
https://hg.mozilla.org/projects/nss/file/tip/pkg/pkg-config/nss-config.in

However, I hesitated to change the script as you suggested, because I realized that it does more than querying build flags, for example:

  $ nss-config --includedir=/usr/local/nss3 --cflags
  -I/usr/local/nss3

In my opinion it might make more sense to switch to the pkg-config script, which are also provided by the upstream and pull the necessary dependencies.

Comment 4 Fedora Update System 2017-12-13 12:21:45 UTC
glibc-2.26-20.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb5e227432

Comment 5 Fedora Update System 2017-12-14 11:13:53 UTC
glibc-2.26-20.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb5e227432

Comment 6 Fedora Update System 2017-12-19 19:49:51 UTC
glibc-2.26-20.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.